JdbcNamespaceHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jdbc.config.JdbcNamespaceHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jdbc.config
Class JdbcNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.transport.jdbc.config.JdbcNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class JdbcNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers Bean Definition Parsers for the "jdbc" namespace.

Field Summary
`static String[]` | `ADDRESS_ATTRIBUTES`
`static String` | `ATTRIBUTE_SQL_STATEMENT_FACTORY`
`static String` | `QUERY_KEY`

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, OUTBOUND_ENDPOINT`

Constructor Summary
`JdbcNamespaceHandler()`

Method Summary
`void` | `init()`

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUERY_KEY

    public static final String QUERY_KEY

See Also:
  Constant Field Values

### ADDRESS_ATTRIBUTES

    public static final String[] ADDRESS_ATTRIBUTES

### ATTRIBUTE_SQL_STATEMENT_FACTORY

    public static final String ATTRIBUTE_SQL_STATEMENT_FACTORY

See Also:
  Constant Field Values

Constructor Detail

### JdbcNamespaceHandler

    public JdbcNamespaceHandler()

Method Detail

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.